import numpy as np
import matplotlib.pyplot as plt

#Construction d'un tableau de valeurs
x=np.array([0,12,21,27,31])
y=np.array([0,0,0,0,0])

#Représentation des positions d'un système
plt.plot(x,y,'o', markersize=5)
plt.xlabel("x (en m)")
plt.ylabel("y (en m)")
plt.title("Chronophotographie du mouvement")

#Représentation des vecteurs vitesse du système
N=5
dt=0.04 
for k in range(0, N-1) :
    Vx=(x[k+1]- x[k])/dt   
    echelle=0.03 #coefficient pour ajuster la longueur des vecteurs
    Vx=Vx*echelle    
    plt.quiver(x[k],y[k],Vx,0,color="red",scale_units='xy',scale=1)

#Affichage
plt.show()













